//
//  PMAppSupportDir.h
//  dc
//
//  Created by Work on 16/06/2010.
//  Copyright 2010 Nicholas Moore. All rights reserved.
//

#import <Cocoa/Cocoa.h>

// Helps out with copying to user's Application Support directory
@interface NMAppSupportDir : NSObject

+ (NSString *)specialDir:(NSSearchPathDirectory)directory withName:(NSString *)name;
+ (NSString *)appSupportDirWithName:(NSString *)name;
+ (NSString *)copyFile:(NSString *)path toApplicationSupportDirectoryWithName:(NSString *)name;
+ (NSString *)copyFile:(NSString *)path toAppSupportDir:(NSString *)name
			  fileName:(NSString *)fileName;

@end
