//
//  NMKeyConverter.h
//  NMKit
//
//  Created by Nicholas Moore on 23/12/2011.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#include <Carbon/Carbon.h>

@interface NMKeyConverter : NSObject {
#ifdef __OBJC_GC__    
	__strong 
#endif
    TISInputSourceRef _sourceRef;
    NSString *_keyboardLayoutName;
    NSData *_keyboardLayoutData;
    NSDictionary *_charToKeyCode;
}

@property (nonatomic, readonly) TISInputSourceRef sourceRef;
@property (readonly) NSString *keyboardLayoutName;

+ (NMKeyConverter *)currentKeyConverter;
- (id)initWithInputSourceRef:(TISInputSourceRef) sourceRef;

- (NSString *)charForKeyCode:(CGKeyCode)keyCode;
- (NSNumber *)keyCodeForChar:(NSString *)character;
    
@end
