//
//  NMLinks.h
//  NMKit
//
//  Created by Nicholas Moore on 24/01/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NMLinks : NSObject {
    NSString *_signedDataString;
    NSString *_signature;
    NSArray *_signedDataKeys;
    NSDictionary *_signedData;
}

+ (NMLinks *)sharedInstance;
+ (NSString *)cleanString:(id)obj withLimit:(NSInteger)maxLen;
+ (NSString *)cleanString:(id)obj;
+ (void)setUpUid;
+ (NSString *)uid;
+ (NSString *)appendQuery:(NSString *)new toQuery:(NSString *)orig;

- (NSString *)identifier;
- (NSString *)binaryIdentifier;
- (NSString *)liString;
- (NSString *)appToken;
- (NSURL *)makeLink:(NSString *)name query:(NSString *)query;
- (NSURL *)makeLink:(NSString *)name;

+ (void)openLink:(NSString *)name query:(NSString *)query;
+ (void)openLink:(NSString *)name;

@end
