//
//  PopPasteboardArchive.h
//  Pop
//
//  Created by Nicholas Moore on 26/03/2012.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NMBlockUtils.h"
@class PopPasteboardArchive;

@interface NMPasteboardItemArchive : NSObject {
    NSURL *_folder;
}

+ (NSString *)extensionForType:(NSString *)type dummy:(NSString *)dummy;
- (id)initWithItem:(NSPasteboardItem *)items folder:(NSURL *)folder;
- (id)initWithItemInFolder:(NSURL *)folder;
- (NSPasteboardItem *)item;
- (NSPasteboardItem *)itemWithTypesFilteredByBlock:(NMBinaryEvaluatorBlock)block;
- (void)obliterate;
- (void)relocateToFolder:(NSURL *)folder;
- (NSURL *)folder;

@end
