//
//  NMPrefsController.h
//  NMKit
//
//  Created by Nicholas Moore on 04/07/2013.
//
//

#import <Cocoa/Cocoa.h>

extern NSString *const NMPrefsWindowKeyViewController;
extern NSString *const NMPrefsWindowKeyTitle;
extern NSString *const NMPrefsWindowKeyImageName;

@interface NMPrefsWindowController : NSWindowController <NSWindowDelegate, NSTabViewDelegate, NSToolbarDelegate> {
    NSTabView *_tabView;
    NSToolbar *_toolbar;
    NSDictionary *_panels;
    CGFloat _largestWidth;
}

+ (CGFloat)prefsWindowWidth;
+ (NSString *)prefsWindowTitle;
+ (NSDictionary *)prefsPanelsDefinition;
+ (NSArray *)prefsToolbarDefinition;

@end
