//
//  NSBezierPath+Nub.h
//  WindowTest
//
//  Created by Work on 12/11/2010.
//  Copyright 2010 Nicholas Moore. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "NMNubWindow.h"

@interface NSBezierPath (NMNub) 

+ (NSBezierPath *)bezierPathWithNubRect:(NSRect)boxRect
								 radius:(CGFloat)radius
							nubPosition:(NMNubPosition)nubPosition
								nubSize:(CGFloat)nubSize
							  nubOffset:(CGFloat)nubOffset;
@end
