//
//  PMLicenseDetails.h
//  dc
//
//  Created by Work on 17/06/2010.
//  Copyright 2010 Nicholas Moore. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface PMLicenseDetails : NSObject {
	NSDictionary *licenseDictionary;
}
@property (retain) NSDictionary *licenseDictionary;

@property (unsafe_unretained, readonly) NSDate *date;
@property (unsafe_unretained, readonly) NSDate *expires;
@property (unsafe_unretained, readonly) NSString *type;
@property (unsafe_unretained, readonly) NSString *order;
@property (unsafe_unretained, readonly) NSNumber *quantity;
@property (unsafe_unretained, readonly) NSString *name;
@property (unsafe_unretained, readonly) NSString *company;

@property (unsafe_unretained, readonly) NSString *summary;

@property (readonly, getter=isLicensed) BOOL licensed;

+ (PMLicenseDetails *)appLicense;

@end
