//
//  DCClipMonitor.h
//  dc
//
//  Created by Work on 27/01/2011.
//  Copyright 2011 Nicholas Moore. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString *NMClipMonitorPasteboardChanged;

@interface NMClipMonitor : NSObject {
	NSTimer *_timer;
	NSDate *_lastChangeDate;
	NSInteger _changeCount;
    NSPasteboard *_pb;
}
+ (NMClipMonitor *)sharedInstance;
- (NSDate *)datePasteboardLastChanged;
- (NSTimeInterval)timeIntervalSincePasteboardLastChanged;
@end
