//
//  NMConfigUtils.h
//  NMKit
//
//  Created by nim305 on 10/08/2011.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

/* These will always return a valid object; empty object if no content */

@interface NSSet(NMConfigUtils)
+ (NSSet *)setFromArrayWithConfigName:(NSString *)name;
+ (NSSet *)setFromArrayWithConfigName:(NSString *)name saveToDefaults:(BOOL)save;
@end

@interface NSArray(NMConfigUtils)
+ (NSArray *)arrayWithConfigName:(NSString *)name;
+ (NSArray *)arrayWithConfigName:(NSString *)name saveToDefaults:(BOOL)save;
@end

@interface NSDictionary(NMConfigUtils)
+ (NSDictionary *)dictionaryWithConfigName:(NSString *)name;
+ (NSDictionary *)dictionaryWithConfigName:(NSString *)name saveToDefaults:(BOOL)save;
@end

@interface NSMutableSet(NMConfigUtils)
+ (NSMutableSet *)setFromArrayWithConfigName:(NSString *)name;
+ (NSMutableSet *)setFromArrayWithConfigName:(NSString *)name saveToDefaults:(BOOL)save;
@end

@interface NSMutableArray(NMConfigUtils)
+ (NSMutableArray *)arrayWithConfigName:(NSString *)name;
+ (NSMutableArray *)arrayWithConfigName:(NSString *)name saveToDefaults:(BOOL)save;
@end

@interface NSMutableDictionary(NMConfigUtils)
+ (NSMutableDictionary *)dictionaryWithConfigName:(NSString *)name;
+ (NSMutableDictionary *)dictionaryWithConfigName:(NSString *)name saveToDefaults:(BOOL)save;
@end
