//
//  NMKeyCommander.h
//
//  Created by Nicholas Moore on 05/12/2011.
//  Copyright (c) 2011 Nicholas Moore. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NMCommander.h"
@class NMKeyCombo;

@interface NMKeyCommander : NSObject <NMCommander> {
    NSMutableDictionary *_commandDict;
    NSArray *_allCommands;
}

+ (NMKeyCommander *)sharedInstance;
- (void)setDefaultKeyCombos;
- (void)setKeyCombosWithDictionary:(NSDictionary *)dict;
- (void)setKeyCombo:(NMKeyCombo *)keyCombo forCommand:(id)command;
- (NMKeyCombo *)keyComboForCommand:(id)command;

@end
