//
//  NMMenuCommander.h
//
//  Created by Nicholas Moore on 05/12/2011.
//  Copyright (c) 2011 Nicholas Moore. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NMCommander.h"
@class NMMenuAction, NMUIElement;

@interface NMMenuCommander : NSObject <NMCommander> {
    NSMutableDictionary *_commandDict;
}

- (void)setElement:(NMUIElement *)element forCommand:(id)command;
- (void)setMenuAction:(NMMenuAction *)menuAction forCommand:(id)command;
- (NMMenuAction *)menuActionForCommand:(id)command;

@end
