//
//  NMStateMachine.h
//  DCTest
//
//  Created by Nicholas Moore on 02/03/2010.
//  Copyright 2010 Nicholas Moore. All rights reserved.
//

#import <Foundation/Foundation.h>
@class NMState;

@interface NMStateMachine : NSObject {
	__unsafe_unretained NMState *_currentState;
    NSSet *_states;
	NSSet *_eventNames;
    NSDictionary *_dependencies;
}
@property (unsafe_unretained) NMState *currentState;
@property (retain) NSSet *states;
@property (retain) NSSet *eventNames;
@property (retain) NSDictionary *dependencies;

- (id)initWithInitialState:(NMState *)state;

- (void)handleEventWithName:(NSString *)aEventName;

@end
