/*
 *  PMLicense.h
 *  dc
 *
 *  Created by Work on 16/06/2010.
 *  Copyright 2010 Nicholas Moore. All rights reserved.
 *
 */

#include <CoreFoundation/CoreFoundation.h>

// Call this first
void PMLicenseInit(const unsigned char *obfuscatedKey, CFStringRef product);

// Then call this if you have a license file. Returns true if license was valid.
Boolean PMLicenseSetFile(CFURLRef path);

// Return the license details.
CFDictionaryRef PMLicenseDictionary(void);

// Returns true if a valid license file has been set.
Boolean PMLicenseValid(void);
